body {
    display: flex; 
    flex-direction: column;
    background-color: rgb(25, 35, 43); 
    font-family: 'Roboto', 'Microsoft YaHei', Arial, sans-serif; 
    min-height: 97.9vh
}
header {
    background-color: rgb(255, 255, 255, 0.3); 
    padding: 5px; 
    border-radius: 8px; 
    padding: 5px; 
    display: flex; 
    align-items: center; 
    transition: all 0.5s; 
    overflow: hidden; 
}
.logo {
    width: 50px; 
    border-radius: 8px; 
    transition: all 0.5s; 
}
.logo:hover {
    transform: rotate(360deg); 
    border-radius: 50%
}
nav {
    padding: 5px; 
    border-radius: 8px; 
    height: 40px; 
    display: flex; 
    align-items: center; 
    position: relative; 
    margin: 0 auto
}
#TomainAtc {
    color: rgb(99, 172, 255); 
}
nav a {
    margin: 0 5px
}
a {
    text-decoration: none; 
    font-size: 22px; 
    color: rgb(255, 255, 255); 
    transition: all 0.5s; 
}
a:hover {
    text-decoration: underline; 
    transform: scale(1.05); 
}
.hero {
    background: linear-gradient(to right, rgb(0, 119, 255, 0.5), rgb(57, 60, 71, 0.5)); 
    backdrop-filter: blur(4px); 
    background-size: cover; 
    background-repeat: no-repeat; 
    background-position: center;
    margin-left: -8px; 
    margin-right: -8px; 
    margin-top: 8px; 
    display: flex; 
    justify-content: center; 
}
.hero .hcBg {
    background-color: rgb(41, 41, 41, 0.5); 
    border: 1px solid rgb(255, 255, 255, 0.1); 
    border-radius: 8px; 
    margin: 5px; 
    padding: 5px; 
    backdrop-filter: blur(2px); 
    transition: all 0.5s
}
.hero .hcBg span {
    color: white; 
    transition: all 0.5s
}
.hero .hcBg:hover{
    transform: scale(1.05); 
    border-color: lightblue
}
.hero .hcBg span:hover{
    color: transparent; 
    background: linear-gradient(to right, rgb(79, 105, 255), rgb(171, 207, 255)); 
    -webkit-background-clip: text; 
    background-clip: text; 
}
.intro-func {
    margin: -8px; 
    height: 410px; 
    width: 320px; 
    background-color: rgb(65, 115, 255, 0.3); 
    color: white; 
    border-radius: 0 8px 8px 0; 
    padding: 8px; 
    display: flex; 
    flex-direction: column; 
    backdrop-filter: blur(4px); 
    z-index: 8888;
}
#home {
    position: fixed; 
    bottom: 20px; 
    right: 20px; 
    background-color: rgb(57, 57, 57, 0.1); 
    backdrop-filter: blur(4px);
    padding: 5px; 
    border-radius: 15px; 
    z-index: 9999; 
    opacity: 0; 
    transform: translateX(20px);
    transition: all 0.3s; 
    border: 1px solid rgb(255, 255, 255, 0.1); 
    box-shadow: 0 0 5px rgb(0, 0, 0)
}
#home.show {
    opacity: 1; 
    transform: translateX(0px); 
}
#home:hover {
    border-color: lightblue; 
    transform: translateY(-6px) scale(1.03); 
    box-shadow: 0 3px 3px rgb(0, 0, 0, 0.3)
}
footer {
    margin-left: -8px; 
    margin-right: -8px; 
    margin-bottom: -8px; 
    margin-top: 16px; 
    background: linear-gradient(to right, rgb(0, 0, 255, 0.5), rgb(187, 0, 255, 0.5)); 
    backdrop-filter: blur(4px); 
    color: rgb(187, 187, 187); 
    display: flex; 
    flex-direction: column;
    align-items: center; 
    flex-shrink: 0; 
    font-family: 'Century Gothic', 'Microsoft YaHei', sans-serif;
}
.Bzhan { 
    width: 20px; 
    cursor: pointer
}
.cde {
    width: 20px
}
.ptr {
    cursor: pointer
}
.intro-func ul {
    list-style: none; 
    display: flex; 
    gap: 10px; 
    margin: 5px; 
    padding: 5px; 
    flex-wrap: wrap;
}
.intro-func ul li {
    background: linear-gradient(to top, rgb(45, 86, 147), transparent); 
    padding: 5px; 
    border-radius: 8px; 
    transition: all 0.5s; 
    color: rgb(187, 187, 187); 
    border: 1px solid rgba(255, 255, 255, 0.1); 
    backdrop-filter: blur(4px);
}
.intro-func ul li:hover {
    transform: scale(1.05); 
    border-color: lightblue
}
.mMain {
    display: flex; 
    flex: 1; 
    min-height: 0; 
    margin-top: 16px; 
    align-items: stretch; 
    gap: 16px
}
.mainAtc {
    background-color: rgba(45, 45, 45, 0.5); 
    border-radius: 8px; 
    flex: 1;  
    margin-top: -8px; 
    margin-bottom: -8px; 
    display: flex; 
    flex-direction: column; 
    padding: 8px; 
    overflow: hidden; 
    align-items: center; 
    gap: 10px; 
    min-height: 0; 
}
.atcLab {
    background-color: rgb(102, 128, 167, 0.3); 
    margin: -8px -8px 0 -8px;  
    font-size: 22px; 
    width: 2000px; 
    display: flex; 
    flex-direction: column;
    align-items: center; 
    border-bottom: 5px solid rgb(102, 128, 167, 0.1); 
    overflow: visible;
}
.atcLab h2 {
    margin: 5px; 
    color: rgb(99, 172, 255); 
}
.atcLab h3 {
    margin: 5px; 
    color: rgb(99, 172, 255); 
}
.mAtc {
    flex: 1; 
    width: 100%;
    display: grid; 
    grid-template-columns: repeat(auto-fill, minmax(225px, 1fr)); 
    grid-auto-rows: 250px; 
    gap: 10px
}
.fuAtc {
    position: relative; 
    background-color: rgb(32, 32, 32, 0.3); 
    backdrop-filter: blur(4px);
    border-radius: 8px; 
    padding: 8px; 
    transition: all 0.5s; 
    display: flex; 
    flex-direction: column; 
    color: white; 
    border: 1px solid rgb(255, 255, 255, 0.1)
}
.fuAtc:hover {
    transform: translateY(-5px); 
    box-shadow: 0 5px 5px rgb(0, 0, 0, 0.8)
}
.fuAtc .atcContent {
    display: -webkit-box; 
    -webkit-line-clamp: 4; 
    line-clamp: 4; 
    -webkit-box-orient: vertical; 
    overflow: hidden; 
}
.fuAtc ul {
    position: absolute; 
    bottom: 0px; 
    left: 0px
}
.time {
    position: absolute; 
    bottom: -5px; 
    right: 10px
}
.hidden {
    display: none;
}
.intro-func a:hover {
    background-color: rgb(157, 190, 255); 
    transform: scale(1.05)
}
.intro-func a {
    display: inline-block; 
    background-color: rgb(68, 68, 68); 
    padding: 5px; 
    border-radius: 8px; 
    transition: all 0.5s
}
#why a:hover {
    background-color: red; 
    transform: scale(1.05);
}
.ctgyBtns {
    position: absolute;
    top: calc(100% + 8px);
    left: 50%;
    transform: translateX(-50%);
    z-index: 10000;
    width: max-content;
    min-width: 145px;
    background-color: rgb(121, 184, 255, 0.8);
    border-radius: 8px;
    transition: all 0.2s ease-out;
    padding: 5px;
    gap: 5px; 

    opacity: 0;
    display: flex;
    flex-wrap: wrap;
    pointer-events: none;
}
.ctgyBtns button {
    opacity: 0.8; 
    margin: 0; 
    transition: all 0.5s ease-out; 
    transform: translateY(-15px); 
}
.ctgyBtns button:hover {
    background-color: rgb(4, 11, 18, 0.3); 
    color: white
}
.show {
    opacity: 1;
    transform: translate(-50%, 5px);
    pointer-events: auto;
}
.show button {
    opacity: 1;
    transform: translateY(0px);
}
button {
    background-color: rgb(28, 83, 137, 0.3); 
    backdrop-filter: blur(3px); 
    color: white; 
    font-size: 20px; 
    border: none; 
    border-radius: 8px; 
    padding: 6px 12px; 
    transition: all 0.5s; 
    cursor: pointer; 
    border: 1px solid rgb(255, 255, 255, 0.1)
}
button:hover {
    transform: scale(1.05); 
    opacity: 0.85;
}
.fuAtc ul {
    list-style: none; 
    display: flex; 
    gap: 10px; 
    margin: 5px; 
    padding: 5px
}
.fuAtc ul li {
    background: linear-gradient(to bottom, rgb(67, 126, 214), transparent); 
    border: 1px solid rgba(255, 255, 255, 0.1); 
    padding: 5px; 
    border-radius: 8px; 
    transition: all 0.5s; 
    color: rgb(255, 255, 255); 
    backdrop-filter: blur(4px);
}
.fuAtc ul li:hover {
    transform: scale(1.05); 
    border-color: lightblue
}
.location {
    background-color: rgb(59, 61, 68); 
    padding: 5px; 
    margin-left: 5px; 
    border-radius: 8px; 
    font-size: 22px; 
    color: white
}
.article-title {
    display: flex
}
.canview {
    cursor: pointer
}
.openmAtc {
    background-color: rgb(255, 255, 255, 0.3); 
    backdrop-filter: blur(4px); 
    border-radius: 8px; 
    flex: 1;  
    margin-bottom: -8px; 
    display: flex; 
    flex-direction: column; 
    padding: 8px; 
    overflow: hidden; 
    align-items: center; 
    gap: 10px; 
    min-height: 0; 
}
.openfuAtc {
    flex: 1; 
    overflow-y: auto; 
    display: flex; 
    flex-direction: column; 
    width: 97%; 
}
.openfuAtcLab h1 {
    text-align: left; 
}
.openfuAtc ul {
    list-style: none; 
    display: flex; 
    gap: 10px; 
    margin: 5px; 
    padding: 5px
}
.openfuAtcLab {
    display: flex; 
    justify-content: space-between; 
    background-color: rgb(124, 124, 255, 0.3); 
    backdrop-filter: blur(4px); 
    width: 96%; 
    border-radius: 8px; 
    padding: 0px 5px; 
    align-items: center; 
    margin-bottom: 10px
}
.openfuAtc ul li {
    background-color: rgb(18, 102, 144, 0.3); 
    backdrop-filter: blur(4px); 
    border: 1px solid rgb(255, 255, 255, 0.1); 
    border-radius: 8px; 
    padding: 6px 12px; 
    color: white; 
    transition: all 0.5s
}
.openfuAtc ul li:hover {
    transform: scale(1.05); 
    border-color: lightblue
}
.opentime {
    align-self: flex-end;
}
.openfuAtc span {
    flex: 1; 
    background-color: rgb(37, 37, 37); 
    border-radius: 8px; 
    padding: 5px; 
    white-space: pre-wrap; 
    color: white
}
.openfuAtc span .imgs {
    display: flex; 
    gap: 10px
}
.openfuAtc span .imgs img {
    width: 300px
}
.openfuAtc a {
    font-size: 16px; 
    color: rgb(0, 0, 206)
}
.ctgyGroup {
    position: relative;
    display: inline-flex;
}
#showCtgyBtn {
    display: flex;
}
#showCtgyBtn #scbTextf {
    position: absolute; 
    justify-self: center;
    transition: all 0.3s ease-out; 
}
#showCtgyBtn #scbTextt {
    position: absolute; 
    justify-self: center; 
    transition: all 0.3s ease-out; 
    opacity: 0; 
    transform: scale(0.5)
}
.downMain {
    display: grid; 
    grid-template-columns: 328px 1fr;
    margin-top: 20px; 
    gap: 10px; 
    border-radius: 8px;
}
.lately {
    background-color: rgb(255, 255, 255, 0.5); 
    border-radius: 8px; 
    padding: 10px; 
    background-image: url('https://picsum.photos/1500/300'); 
    background-size: cover; 
    background-position: center; 
    background-repeat: no-repeat; 
}
.latelyM {
    background-color: rgba(70, 70, 70, 0.5); 
    border-radius: 8px; 
    padding: 5px; 
    backdrop-filter: blur(2px); 
    font-family: '幼圆', 'Microsoft YaHei', sans-serif; 
    border: 1px solid rgb(255, 255, 255, 0.1)
}
.latelyM ul li {
    transition: all 0.1s; 
}
.latelyM ul li:hover {
    transform: translateX(5px); 
    color: white
}
#latelyLab {
    transition: all 0.1s;
}
#latelyLab::before {
    content: '📌'
}
.latelyM h2:hover {
    color: white
}
.noWS {
    white-space: pre-wrap;
}
.firstUpdt {
    color: gold; 
    border-radius: 8px; 
    border-bottom-left-radius: 0; 
    backdrop-filter: blur(4px); 
}
.secondUpdt {
    color: silver; 
    backdrop-filter: blur(4px); 
    border-radius: 8px; 
    border-top-left-radius: 0; 
    border-bottom-left-radius: 0; 
}
.thirdUpdt {
    color: rgb(203, 138, 121); 
    backdrop-filter: blur(4px); 
    border-radius: 8px; 
    border-top-left-radius: 0; 
}
footer a {
    font-size: 16px; 
    color: rgb(0, 0, 206); 
}
.codeAera {
    border-radius: 8px; 
    overflow: hidden; 
    background-color: #121212; 
    display: flex; 
    flex-direction: column; 
    font-family: "JetBrains Mono", "Courier New", monospace;
    font-size: 14px;
}
.caLab {
    background-color: black;  
    font-size: 22px; 
    margin: 0; 
    color: white; 
    display: flex; 
}
.caLab span {
    background-color: black;
}
.codeAera code,
.codeAera .hljs,
.codeAera .hljs * {
    background: transparent !important;
}
.calendar {
    background-color: rgb(60, 60, 60); 
    border-radius: 8px; 
    display: flex; 
    flex-direction: column; 
    overflow: hidden; 
    border: 2px dashed gray; 
    margin-top: 10px; 
}
.cldH {
    background-color: cornflowerblue; 
    height: 20px; 
    display: flex; 
    justify-content: space-around;
}
.whm {
    background-color: rgb(97, 97, 97); 
    height: 20px; 
    width: 10px; 
}
.cldM {
    display: flex; 
    flex-direction: column; 
    align-items: center;
}
.smBg {
    position: fixed; 
    z-index: -1; 
    margin: -8px; 
    display: flex
}
.smBg img {
    width: 100%; 
    justify-self: center; 
    mask-image: linear-gradient(to bottom, black 25%, transparent 80%); 
    -webkit-mask-image: linear-gradient(to bottom, black 25%, transparent 80%); 
    background-position: center;
}
.place {
    height: 500px; 
    display: flex; 
    flex-direction: column; 
    justify-content: center; 
    align-items: center; 
    color: white; 
    background-color: transparent; 
}
.place pre {
    font-family: "Cascadia Code"; 
}
.place pre h1 {
    backdrop-filter: blur(4px); 
    border: 1px solid rgba(255, 255, 255, 0.1); 
    padding: 0 10px; 
    border-radius: 18px; 
    transition: all 0.1s
}
.place pre h1:hover {
    transform: translateY(-5px); 
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.5); 
    border-color: lightblue; 
}
.place h5 {
    backdrop-filter: blur(4px); 
    border: 1px solid rgba(255, 255, 255, 0.1); 
    padding: 0 10px; 
    border-radius: 18px; 
    transition: all 0.1s
}
.place h5:hover {
    transform: translateY(-5px); 
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.5); 
    border-color: lightblue
}
::-webkit-scrollbar {
    width: 10px; 
}
::-webkit-scrollbar-track {
    background: #272727; 
}
::-webkit-scrollbar-thumb {
    background: linear-gradient(to bottom, rgb(0, 0, 139), rgb(173, 216, 230)); 
    border-radius: 8px;
}
.placeDM {
    width: 300px; 
    margin: 3px; 
    background-color: rgb(255, 255, 255, 0.3); 
    backdrop-filter: blur(3px); 
    border: 1px solid rgb(255, 255, 255, 0.1); 
    border-radius: 8px; 
    padding: 10px
}
.placeDM #mailBox {
    width: 100%; 
    height: 100px; 
    resize: none
}
.downArrow {
    display: flex; 
    cursor: pointer; 
    flex-direction: column; 
    animation: floatArw 1.5s ease-in-out infinite; 
    margin-top: 20px; 
}
@keyframes floatArw {
    0%, 100% {transform: translateY(0)}
    50% {transform: translateY(-12px)}
}
.downArrow img {
    width: 30px; 
    margin: -7px; 
    background-color: transparent; 
}

@media (max-width: 786px) {
    .mMain {
        flex-direction: column; 
        order: 2
    }
    .intro-func {
        width: 100%; 
        order: 1; 
        height: 325px
    }
    footer {
        order: 4
    }
    .downMain {
        order: 3
    }
    .imgs {
        flex-direction: column;
    }
    .downMain {
        flex-direction: column;
    }
    .ads {
        height: 110px; 
        width: auto
    }
    .adsCtt {
        flex-direction: row;
    }
    .adsCtt img {
        height: 85px; 
        margin-right: 10px
    }
    .place {
        height: 450px
    }
    .downMain {
        grid-template-columns: 1fr;
    }
    .placeDM {
        width: 720px
    }
}
@media (max-width: 480px) {
    .mMain {
        flex-direction: column; 
        order: 2
    }
    .intro-func {
        width: 100%; 
        order: 1; 
        height: 410px
    }
    footer {
        order: 4
    }
    .downMain {
        order: 3
    }
    .imgs {
        flex-direction: column;
    }
    .downMain {
        flex-direction: column;
    }
    .ads {
        height: 110px; 
        width: auto
    }
    .adsCtt {
        flex-direction: row;
    }
    .adsCtt img {
        height: 85px; 
        margin-right: 10px
    }
    .place {
        height: 450px
    }
    .smBg img {
        height: 400px
    }
    .ctgyBtns {
        left: auto;
        right: 0;
        width: 100%;
        min-width: 0;
        transform: translateX(0);
        position: fixed;
        top: auto;
        bottom: 0;
        left: 0;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }
    .ctgyBtns.show {
        opacity: 1;
        transform: translateX(0);
    }
    .ctgyBtns button {
        width: 100%;
        transform: translateY(0);
    }
    .downMain {
        grid-template-columns: 1fr;
    }
    #home {
        bottom: 60px
    }
    .placeDM {
        width: 270px
    }
}